// Lists events
COM_AddCommand("ck_listevents", function(p)
	CONS_Printf(p, "Event List:")
	for i in pairs(ckEvents)
		if i <= 0
			CONS_Printf(p, "The event list seems to be missing...")
		else
			CONS_Printf(p, i..": "..ckEvents[i].shortname)
		end
	end
	CONS_Printf(p, "Rare Event List:")
	for i in pairs(ckRareEvents)
		if i <= 0
			CONS_Printf(p, "The rare event list seems to be missing...")
		else
			CONS_Printf(p, i..": "..ckRareEvents[i].shortname)
		end
	end
end)

// Executes an event.
COM_AddCommand("ck_doevent", function(p, event)
	if p == server or p == admin
		if event == nil
			CONS_Printf(p, "ck_doevent <event id>: Executes an event")
		else
			for i in pairs(ckEvents)
				if string.lower(tostring(event)) == string.lower(ckEvents[i].shortname)
					ckEvent(i)
				end
				
				if tonumber(event) == i
					ckEvent(ckEvents[i])
				end
			end

			for i in pairs(ckRareEvents)
				if string.lower(tostring(event)) == string.lower(ckRareEvents[i].shortname)
					ckRareEvent(i)
				end
				
				if tonumber(event) == i+#ckEvents
					ckEvent(ckEvents[i])
				end
			end
		end
	else
		CONS_Printf(p, "Only the server owner can do this!")
	end
end)

// Allows Death Roulette to be called
rawset(_G, "cv_deathroulette", CV_RegisterVar({
  name = "ck_deathroulette",
  defaultvalue = "On",
  flags = CV_NETVAR,
  PossibleValue = {Off = 0, On = 1},
}))

// Starts Death Roulette
COM_AddCommand("ck_startdeathroulette", function(p)
	if p == server or p == admin
		print("Very well...")
		ckStartRoulette()
	else
		CONS_Printf(p, "This Command may only be used by Admins or the Game Host.")
	end
end)