local chk = chaosmod
local addy = true
local takey = false
rawset(_G, "ckDeathRoulette", {})

// Synch some variables
addHook("NetVars", function(net)
	chk.deathrouletteprepare = net($)
	chk.deathroulette = net($)
	chk.deathcooldown = net($)
	chk.nextevent = net($)
	chk.deathevent1 = net($)
	chk.deathevent2 = net($)
end)

// Get the Death Roulette things
addHook("ThinkFrame", function()
	chk.added = $ or false
	if chk.added == false
		for i in pairs(ckEvents)
			if ckEvents[i].candeathroulette == true
				table.insert(ckDeathRoulette, ckEvents[i])
			end
		end
		for i in pairs(ckRareEvents)
			if ckRareEvents[i].candeathroulette == true
				table.insert(ckDeathRoulette, ckRareEvents[i])
			end
		end
		chk.added = true
	end
end)

rawset(_G, "ckStartRoulette", function()
	chk.deathroulette = true
	chk.deathrouletteprepare = 10*TICRATE
	chk.nextevent = "Prepare"
	for p in players.iterate
		COM_BufInsertText(p, "tunes dthrou")
		if mapheaderinfo[gamemap].hidden == true
			S_StartSound(nil, sfx_noooo3, p)
		end
	end
	print("Prepare for chaos!")
end)

addHook("ThinkFrame", function()
	if cv_chaoskart.value == 1
		if leveltime > 7*TICRATE
			if (chk.deathroulette) and (chk.deathrouletteprepare <= 1) and not (leveltime%175)
				chk.deathevent1 = P_RandomRange(1, #ckDeathRoulette)
				if chk.firstpick == false
					chk.deathevent1 = chk.deathevent2
				end
				chk.deathevent2 = P_RandomRange(1, #ckDeathRoulette)
				S_StartSound(nil, sfx_s3k47)
				chk.eventcooldown = 69 -- Nice ;)
				chk.eventdisplay = ckDeathRoulette[chk.deathevent1].name
				chk.nextevent = ckDeathRoulette[chk.deathevent2].shortname
				ckDeathRoulette[chk.deathevent1].eventfunc(P_RandomRange(3, 7))
				chk.firstpick = false
			end
			if chk.deathrouletteprepare >= 1
				chk.deathrouletteprepare = $ - 1
			end
//			if chk.deathroulette == true
//				S_ChangeMusic("DTHROU", true)
//			end
		end
	end
end)

hud.add(function(v, p, cam)
	if cv_chaoskart.value == 1
		if chk.deathrouletteprepare >= 1
			local y = 50
			if addy == true
				y = $ + 1
				if y == 60
					addy = false
					takey = true
				end
			end
			if takey == true
				y = $ - 1
				if y == 40
					takey = false
					addy = true
				end
			end
			v.drawKartString(52,y,"Get Ready! ("..G_TicsToSeconds(chk.deathrouletteprepare)..")",V_REDMAP|V_SNAPTOLEFT|V_SNAPTOTOP,"center")
		end
		if chk.deathroulette == true and chk.deathrouletteprepare <= 0
			v.drawString(50, 45, "Next: "..chk.nextevent.."...", V_SNAPTOLEFT|V_SNAPTOTOP|V_GRAYMAP, "small")
		end
	end
end, game)