// This handles all of the freeslots and for TacoRain
freeslot("MT_STEALTHSPIKE", "S_STEALTH_SPARKLE")

mobjinfo[MT_STEALTHSPIKE] = {
    spawnstate = S_STEALTH_SPARKLE,
    radius = 32*FRACUNIT,
    height = 32*FRACUNIT,
    flags = MF_SPECIAL
}

states[S_STEALTH_SPARKLE] = {SPR_SSPK, FF_TRANS40|A, -1, nil, 0, 0, S_STEALTH_SPARKLE}

local function inSpikeState(mo)
	for i = 1, 6
		if mo.state == _G["S_SPIKE"..i] then return true end
	end
end

addHook("TouchSpecial", function(s, t)
	if t and t.valid and s and s.valid and t.player
		if inSpikeState(s) then return true end

		S_StartSound(s, sfx_spkdth)
		s.state = S_SPIKE2
		s.fuse = 35

		t.momx = $/3
		t.momy = $/3
		t.player.kartstuff[k_spinouttimer] = 5*TICRATE
		P_SetObjectMomZ(t, 10*FRACUNIT)
	end

	return true
end, MT_STEALTHSPIKE)